JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Macros
juce_Singleton.h File Reference

## Classes
struct | SingletonHolder< Type, MutexType, onlyCreateOncePerRun >
| Used by the JUCE_DECLARE_SINGLETON macros to manage a static pointer to a singleton instance. More...

## Macros
#define | JUCE_DECLARE_SINGLETON(Classname, doNotRecreateAfterDeletion)
| Macro to generate the appropriate methods and boilerplate for a singleton class.
#define | JUCE_IMPLEMENT_SINGLETON(Classname)
| This is a counterpart to the JUCE_DECLARE_SINGLETON macros.
#define | JUCE_DECLARE_SINGLETON_SINGLETHREADED(Classname, doNotRecreateAfterDeletion)
| Macro to declare member variables and methods for a singleton class.
#define | JUCE_DECLARE_SINGLETON_SINGLETHREADED_MINIMAL(Classname)
| Macro to declare member variables and methods for a singleton class.